## SYNOPSIS

           msggrep [OPTION] [INPUTFILE]

## DESCRIPTION

           Extracts  all messages of a translation catalog that match
           a given pattern or belong to some given source files.

           Mandatory arguments to  long  options  are  mandatory  for
           short options too.

       Input file location:
           INPUTFILE
                  input PO file

           -D, --directory=DIRECTORY
                  add DIRECTORY to list for input files search

           If no input file is given or if it is -, standard input is
           read.

       Output file location:
           -o, --output-file=FILE
                  write output to specified file

           The results are written to standard output  if  no  output
           file is specified or if it is -.

       Message selection:
                  [-N  SOURCEFILE]...  [-M DOMAINNAME]...  [-K MSGID-
                  PATTERN] [-T MSGSTR-PATTERN] [-C COMMENT-PATTERN]

           A message is selected if it comes from one of  the  speci
           fied  source  files, or if it comes from one of the speci
           fied domains, or if -K is given  and  its  key  (msgid  or
           msgid_plural) matches MSGID-PATTERN, or if -T is given and
           its translation (msgstr) matches MSGSTR-PATTERN, or if  -C
           is given and the translator's comment matches COMMENT-PAT
           TERN.

           When more than one selection criterion is  specified,  the
           set of selected messages is the union of the selected mes
           sages of each criterion.

       MSGID-PATTERN or MSGSTR-PATTERN syntax:
                  [-E | -F] [-e PATTERN | -f FILE]...

           PATTERNs are basic  regular  expressions  by  default,  or
           extended  regular  expressions  if  -E  is given, or fixed
           strings if -F is given.

           -N, --location=SOURCEFILE
                  select messages extracted from SOURCEFILE
                  PATTERN is a set of newline-separated strings

           -e, --regexp=PATTERN
                  use PATTERN as a regular expression

           -f, --file=FILE
                  obtain PATTERN from FILE

           -i, --ignore-case
                  ignore case distinctions

       Output details:
           --no-escape
                  do not use C escapes in output (default)

           --escape
                  use C escapes in output, no extended chars

           --force-po
                  write PO file even if empty

           --indent
                  indented output style

           --no-location
                  suppress '#: filename:line' lines

           --add-location
                  preserve '#: filename:line' lines (default)

           --strict
                  strict Uniforum output style

           -w, --width=NUMBER
                  set output page width

           --no-wrap
                  do not break long message lines,  longer  than  the
                  output page width, into several lines

           --sort-output
                  generate sorted output

           --sort-by-file
                  sort output by file location

       Informative output:
           -h, --help
                  display this help and exit

           -V, --version
                  output version information and exit

           The full documentation for msggrep is maintained as a Tex
           info manual.  If the info and msggrep programs  are  prop
           erly installed at your site, the command

                  info msggrep

           should give you access to the complete manual.

    GNU gettext 0.11.5         August 2002                 MSGGREP(1)